#!/usr/bin/env bash

source $(dirname "$0")/utilis/colors.sh

# example using an array of dependencies
array=( "node" "composer" "docker" "npm" )
for i in "${array[@]}"
do
    if command -v $i >/dev/null 2>&1 ; then
        echo "${GREEN}> $i version: $($i --version)${RESET}"
    else
        echo "${RED}> $i not found. Install it and rerun this script.${RESET}"
        exit 1;
    fi
done
# Install composer and npm
composer install
npm install

# Create a .env file
cp .env.example .env

# Install WordPress
sh bin/wordpress-install.sh

# Gulp dev build
if command -v gulp >/dev/null 2>&1 ; then
    echo "${GREEN}> gulp version: $(gulp -v)${RESET}"
else
    echo "${RED}> gulp not found. Run npm install gulp --save-dev. Then rerun this script${RESET}"
    exit 1;
fi
gulp

# Download in start Docker container
make pull
make luarocks

echo
echo "${RED}> Don't forget to update hosts. Read more about in ${BOLD}README.md${RESET}"
